' ------------------------------------------------------------------------------------
' irr::core::triangle3df wrappers (done)
' ------------------------------------------------------------------------------------

Public

Extern

	Function IrrCore_Triangle3df_new:Int()
	Function IrrCore_Triangle3df_newFromVals:Int(x1:Float=0,y1:Float=0,z1:Float=0,x2:Float=0,y2:Float=0,z2:Float=0,x3:Float=0,y3:Float=0,z3:Float=0)
	Function IrrCore_Triangle3df_newFromVect:Int(pVect1:Int,pVect2:Int,pVect3:Int)
	Function IrrCore_Triangle3df_del(pDel:Int)
	Function IrrCore_Triangle3df_setFromVect(pTri:Int,pVect1:Int,pVect2:Int,pVect3:Int)
	Function IrrCore_Triangle3df_setFromVals(pTri:Int,x1:Float=0,y1:Float=0,z1:Float=0,x2:Float=0,y2:Float=0,z2:Float=0,x3:Float=0,y3:Float=0,z3:Float=0)
	Function IrrCore_Triangle3df_setPointA(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_setPointB(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_setPointC(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_isTotalInsideBox:Int(pTri:Int,pBox:Int)
	Function IrrCore_Triangle3df_isTotalOutsideBox:Int(pTri:Int,pBox:Int)
	Function IrrCore_Triangle3df_isPointInside:Int(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_isPointInsideFast:Int(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_isFrontFacing:Int(pTri:Int,pLookDirection:Int) 
	Function IrrCore_Triangle3df_closestPointOnTriangle:Int(pTri:Int,pVect:Int)
	Function IrrCore_Triangle3df_getIntersectionWithLimitedLine:Int(pTri:Int,pLine:Int,pOutIntersection:Int)
	Function IrrCore_Triangle3df_getIntersectionWithLine:Int(pTri:Int,pLinePoint:Int,pLineVect:Int,pOutIntersection:Int)
	Function IrrCore_Triangle3df_getIntersectionOfPlaneWithLine:Int(pTri:Int,pLinePoint:Int,pLineVect:Int,pOutIntersection:Int)
	Function IrrCore_Triangle3df_getNormal:Int(pTri:Int)
	Function IrrCore_Triangle3df_getPlane:Int(pTri:Int)
	Function IrrCore_Triangle3df_getPointA:Int(pTri:Int)
	Function IrrCore_Triangle3df_getPointB:Int(pTri:Int)
	Function IrrCore_Triangle3df_getPointC:Int(pTri:Int)
	Function IrrCore_Triangle3df_EqEq:Int(pTri:Int,pTriOther:Int)
	Function IrrCore_Triangle3df_NotEq:Int(pTri:Int,pTriOther:Int)
	Function IrrCore_Triangle3df_getArea:Float(pTri:Int)

EndExtern

