Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUIInOutFader wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIInOutFader Extends IGUIElement Final

	Function createFromHandle:IGUIInOutFader(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIInOutFader=New IGUIInOutFader
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method isReady:Int()
		Return IrrGUI_IGUIInOutFader_isReady(handle)
	EndMethod
	
	Method fadeIn(time:Int)
		IrrGUI_IGUIInOutFader_fadeIn(handle,time)
	EndMethod
	
	Method fadeOut(time:Int)
		IrrGUI_IGUIInOutFader_fadeOut(handle,time)
	EndMethod
	
	Method GetColor:SColor()
		Return SColor.createFromHandle(IrrGUI_IGUIInOutFader_getColor(handle)) ' returns SColor*
	EndMethod 
	
	Method SetColor(color:SColor)
		IrrGUI_IGUIInOutFader_setColor(handle,color.handle)
	EndMethod

	Method setColorSourceDest(source:SColor,dest:SColor)
		IrrGUI_IGUIInOutFader_setColorSourceDest(handle,source.handle,dest.handle)
	EndMethod
	
EndType

