' ------------------------------------------------------------------------------------
' irr::SKeyMap wrappers
' ------------------------------------------------------------------------------------
Public

Type SKeyMap Extends IrrBase Final
	
	Function createFromHandle:SKeyMap(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SKeyMap=New SKeyMap
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method Delete()
		If (mustdelete) Then Irr_SKeyMap_del(handle)
	EndMethod	

	Function create:SKeyMap()
		Return SKeyMap.createFromHandle(Irr_SKeyMap_new())
	EndFunction
		
	Method getAction:Int() ' reutrn EKEY_ACTION
		Return Irr_SKeyMap_getAction(handle)
	EndMethod
	
	Method getKeyCode:Int() ' return EKEY_CODE
		Return Irr_SKeyMap_getKeyCode(handle)
	EndMethod
	
	Method setAction(EKEY_ACTION:Int)
		Irr_SKeyMap_setAction(handle,EKEY_ACTION)
	EndMethod
	
	Method setKeyCode(EKEY_CODE:Int)
		Irr_SKeyMap_setKeyCode(handle,EKEY_CODE)
	EndMethod

EndType


