Public

Type IVolumeLightSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:IVolumeLightSceneNode(pHandle:Int, bMustDel:Int=False, pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IVolumeLightSceneNode = New IVolumeLightSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setSubDivideU(inU:Int)
		IrrScene_IVolumeLightSceneNode_setSubDivideU(handle, inU)
	EndMethod
	
	Method setSubDividev(inV:Int)
		IrrScene_IVolumeLightSceneNode_setSubDivideV(handle, inV)
	EndMethod

	Method getSubDivideU:Int()
		Return  IrrScene_IVolumeLightSceneNode_getSubDivideU(handle)
	EndMethod
	
	Method getSubDivideV:Int()
		Return  IrrScene_IVolumeLightSceneNode_getSubDivideV(handle)
	EndMethod
	
	Method setFootColor(inColor:SColor)
		IrrScene_IVolumeLightSceneNode_setFootColor(handle, inColor.handle)
	EndMethod
	
	Method setTailColor(inColor:SColor)
		IrrScene_IVolumeLightSceneNode_setTailColor(handle, inColor.handle)
	EndMethod

	Method getFootColor:SColor()
		Return SColor.createFromHandle(IrrScene_IVolumeLightSceneNode_getFootColor(handle), True)
	EndMethod
	
	Method getTailColor:SColor()
		Return SColor.createFromHandle(IrrScene_IVolumeLightSceneNode_getTailColor(handle), True)
	EndMethod

EndType


