' ------------------------------------------------------------------------------------
' irr::video::IImage wrappers
'
' you cannot create IImages directly.  you must use IVideoDriver::CreateImage methods.
' when you are done with the image, the drop Function must be called.
' ------------------------------------------------------------------------------------
Public

Extern

	Function IrrVideo_IImage_del(pIImage:Int)
	Function IrrVideo_IImage_lock:Byte Ptr(pIImage_img:Int) ' cast Byte Ptr to Int Ptr or Short Ptr if needed
	Function IrrVideo_IImage_unlock(pIImage:Int)
	Function IrrVideo_IImage_getDimension:Int(pIImage:Int)
	Function IrrVideo_IImage_getBitsPerPixel:Int(pIImage:Int)
	Function IrrVideo_IImage_getBytesPerPixel:Int(pIImage:Int)
	Function IrrVideo_IImage_getImageDataSizeInBytes:Int(pIImage:Int)
	Function IrrVideo_IImage_getImageDataSizeInPixels:Int(pIImage:Int)
	Function IrrVideo_IImage_getPixel:Int(pIImage:Int,x:Int,y:Int)  ' returns SColor*
	Function IrrVideo_IImage_getColorFormat:Int(pIImage:Int)
	Function IrrVideo_IImage_getRedMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getGreenMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getBlueMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getAlphaMask:Int(pIImage:Int)
	Function IrrVideo_IImage_getPitch:Int(pIImage:Int)

	Function IrrVideo_IImage_drop:Int(pIUnknown:Int)
	Function IrrVideo_IImage_getDebugName$z(pIUnknown:Int)
	Function IrrVideo_IImage_grab(pIUnknown:Int)

	Function IrrVideo_IImage_setPixel(pIImage:Int,x:Int,y:Int,pSColor:Int, bBlend:Int = False)
	Function IrrVideo_IImage_copyToScaling(pIImage:Int,pVoid_target:Byte Ptr,width:Int,height:Int,ECOLOR_FORMAT:Int=ECF_A8R8G8B8,pitch:Int=0)
	Function IrrVideo_IImage_copyToScalingToImage(pIImage:Int,pIImage_target:Int)

	Function IrrVideo_IImage_copyToImage(pIImage:Int, pIImage_target:Int, pPosition2di_pos:Int = 0)
	Function IrrVideo_IImage_copyToImageFromPart(pIImage:Int, pIImage_target:Int, pPosition2di_pos:Int, pRecti_sourceRect:Int, pRecti_clipRect:Int = 0)
	Function IrrVideo_IImage_copyToWithAlpha(pIImage:Int, pIImage_target:Int, pPosition2di_pos:Int, pRecti_sourceRect:Int, pSColor:Int, pRecti_clipRect:Int = 0)
	Function IrrVideo_IImage_fill(pIImage:Int, pSColor:Int)
	Function IrrVideo_IImage_copyToScalingBoxFilter(pIImage:Int, pIImage_target:Int, bias:Int = 0, bBlend:Int = False) 
	Function IrrVideo_IImage_getBitsPerPixelFromFormat:Int(pIImage:Int, ECOLOR_FORMAT:Int) 
	Function IrrVideo_IImage_isRenderTargetOnlyFormat:Int(pIImage:Int, ECOLOR_FORMAT:Int)

EndExtern

