' ------------------------------------------------------------------------------------
' irr::core::quaternion wrappers (done)
' ------------------------------------------------------------------------------------

Public

Extern

	Function IrrCore_Quaternion_newFrom3Vals:Int(x:Float,y:Float,z:Float)
	Function IrrCore_Quaternion_newFrom4Vals:Int(x:Float,y:Float,z:Float,w:Float)
	Function IrrCore_Quaternion_newFromVect:Int(pVector3df:Int)	
	Function IrrCore_Quaternion_new:Int()
	Function IrrCore_Quaternion_newFromMatrix:Int(pMat:Int)
	Function IrrCore_Quaternion_del(pDel:Int)
	Function IrrCore_Quaternion_dotProduct:Float(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_setFrom4Vals:Int(pQuat:Int,x:Float,y:Float,z:Float,w:Float)
	Function IrrCore_Quaternion_setFrom3Vals:Int(pQuat:Int,x:Float,y:Float,z:Float)
	Function IrrCore_Quaternion_setFromVect:Int(pQuaternion:Int, pVector3df:Int)
	Function IrrCore_Quaternion_normalize:Int(pQuat:Int)
	Function IrrCore_Quaternion_getMatrix:Int(pQuat:Int)
	Function IrrCore_Quaternion_getMatrixToDest(pQuaternion:Int,pMatrix4:Int,pVector3df_translation:Int)
	Function IrrCore_Quaternion_getMatrix_transposed(pQuaternion:Int,pMatrix4:Int)
	Function IrrCore_Quaternion_makeInverse:Int(pQuat:Int)
	Function IrrCore_Quaternion_slerp:Int(pQuat:Int,pQ1:Int,pQ2:Int,interpolate:Float)
	Function IrrCore_Quaternion_fromAngleAxis:Int(pQuat:Int,angle:Float,pAxis:Int)
	Function IrrCore_Quaternion_toEuler(pQuat:Int,pEuler:Int)
	Function IrrCore_Quaternion_getX:Float(pQuat:Int)
	Function IrrCore_Quaternion_getY:Float(pQuat:Int)
	Function IrrCore_Quaternion_getZ:Float(pQuat:Int)
	Function IrrCore_Quaternion_getW:Float(pQuat:Int)
	Function IrrCore_Quaternion_EqEq:Int(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_EqQuat(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_EqMat(pQuat:Int,pOtherMat:Int)
	Function IrrCore_Quaternion_Plus:Int(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_MultQuat:Int(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_MultFloat:Int(pQuat:Int,s:Float)
	Function IrrCore_Quaternion_MultVect:Int(pQuat:Int,pVect:Int)
	Function IrrCore_Quaternion_MultEqFloat(pQuat:Int,s:Float)
	Function IrrCore_Quaternion_MultEqQuat(pQuat:Int,pOther:Int)
	Function IrrCore_Quaternion_makeIdentity:Int(pQuaternion:Int)
	Function IrrCore_Quaternion_toAngleAxis(pQuaternion:Int,angle:Float Ptr,pVector3df_axis:Int)
	Function IrrCore_Quaternion_rotationFromTo:Int(pQuaternion:Int, pVector3df_from:Int, pVector3df_to:Int)
	Function IrrCore_Quaternion_getMatrixCenter(pQuaternion:Int, pMatrix4_dest:Int, pVector3df_center:Int, pVector3df_translation:Int)
	Function IrrCore_Quaternion_equals:Int(pQuaternion:Int, pQuaternion_other:Int, tolerance:Float = 0.000001)
	Function IrrCore_Quaternion_setFromOther:Int(pQuaternion:Int, pQuaternion_other:Int) ' returns quaternion*
	Function IrrCore_Quaternion_NotEq:Int(pQuaternion:Int, pQuaternion_other:Int)

EndExtern

