
Public

Type IGUIImageList Extends IReferenceCounted Final

	Method draw(index:Int, destPos:Position2di, clip:Recti = Null)
		IrrGUI_IGUIImageList_draw(handle, index, _HANDLE(destPos), _HANDLE(clip))
	EndMethod
	
	Method getImageCount:Int()
		Return IrrGUI_IGUIImageList_getImageCount(handle)
	EndMethod
	
	Method getImageSize:Dimension2di()
		Return Dimension2di.createFromHandle(IrrGUI_IGUIImageList_getImageSize(handle), True)
	EndMethod

	Function createFromHandle:IGUIImageList(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIImageList=New IGUIImageList
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

 	Method drop:Int() Final
		If mustdelete Then mustdelete=False		
		Return IrrGUI_IGUIImageList_drop(handle)
	EndMethod
	
	Method getDebugName:String() Final
		Return IrrGUI_IGUIImageList_getDebugName(handle)
	EndMethod
	
	Method grab() Final
		IrrGUI_IGUIImageList_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod	
EndType
