
Public

Extern

	' ------------------------------------------------------------------------------------
	' IGUITreeViewNode
	' ------------------------------------------------------------------------------------
	
	Function IrrGUI_IGUITreeViewNode_getOwner:Int(pIGUITreeViewNode:Int) ' returns IGUITreeView*
	Function IrrGUI_IGUITreeViewNode_getParent:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode* 
	Function IrrGUI_IGUITreeViewNode_getText:Byte Ptr(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setText( pIGUITreeViewNode:Int, text:Byte Ptr )
	Function IrrGUI_IGUITreeViewNode_getIcon:Byte Ptr(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setIcon( pIGUITreeViewNode:Int, icon:Byte Ptr )
	Function IrrGUI_IGUITreeViewNode_getImageIndex:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setImageIndex( pIGUITreeViewNode:Int, imageIndex:Int )
	Function IrrGUI_IGUITreeViewNode_getSelectedImageIndex:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setSelectedImageIndex(pIGUITreeViewNode:Int, imageIndex:Int)
	Function IrrGUI_IGUITreeViewNode_getData:Byte Ptr(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setData( pIGUITreeViewNode:Int, data:Byte Ptr)
	Function IrrGUI_IGUITreeViewNode_getData2:Int(pIGUITreeViewNode:Int) ' returns IReferenceCounted*
	Function IrrGUI_IGUITreeViewNode_setData2( pIGUITreeViewNode:Int, pIReferenceCounted:Int )
	Function IrrGUI_IGUITreeViewNode_getChildCount:Int(pIGUITreeViewNode:Int)		
	Function IrrGUI_IGUITreeViewNode_clearChilds(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_hasChilds:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_addChildBack:Int(pIGUITreeViewNode:Int, text:Byte Ptr, icon:Byte Ptr = Null, imageIndex:Int = -1, selectedImageIndex:Int = -1, data:Byte Ptr = Null, pIReferenceCounted:Int = 0) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_addChildFront:Int(pIGUITreeViewNode:Int,  text:Byte Ptr, icon:Byte Ptr = Null, imageIndex:Int = -1, selectedImageIndex:Int = -1, data:Byte Ptr = Null, pIReferenceCounted:Int = 0) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_insertChildAfter:Int(pIGUITreeViewNode:Int, pIGUITreeViewNode_other:Int,  text:Byte Ptr, icon:Byte Ptr = Null, imageIndex:Int = -1, selectedImageIndex:Int = -1, data:Byte Ptr = Null, pIReferenceCounted:Int = 0) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_insertChildBefore:Int(pIGUITreeViewNode:Int, pIGUITreeViewNode_other:Int,  text:Byte Ptr, icon:Byte Ptr = Null, imageIndex:Int = -1, selectedImageIndex:Int = -1, data:Byte Ptr = Null, pIReferenceCounted:Int = 0) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_getFirstChild:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_getLastChild:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_getPrevSibling:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_getNextSibling:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_getNextVisible:Int(pIGUITreeViewNode:Int) ' returns IGUITreeViewNode*
	Function IrrGUI_IGUITreeViewNode_deleteChild:Int(pIGUITreeViewNode:Int, pIGUITreeViewNode_child:Int)
	Function IrrGUI_IGUITreeViewNode_moveChildUp:Int(pIGUITreeViewNode:Int, pIGUITreeViewNode_child:Int)
	Function IrrGUI_IGUITreeViewNode_moveChildDown:Int(pIGUITreeViewNode:Int, pIGUITreeViewNode_child:Int)
	Function IrrGUI_IGUITreeViewNode_getExpanded:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setExpanded( pIGUITreeViewNode:Int, bExpanded:Int )
	Function IrrGUI_IGUITreeViewNode_getSelected:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_setSelected( pIGUITreeViewNode:Int, bSelected:Int )
	Function IrrGUI_IGUITreeViewNode_isRoot:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_getLevel:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_isVisible:Int(pIGUITreeViewNode:Int) 
	Function IrrGUI_IGUITreeViewNode_drop:Int(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_getDebugName$z(pIGUITreeViewNode:Int)
	Function IrrGUI_IGUITreeViewNode_grab(pIGUITreeViewNode:Int)

	' ------------------------------------------------------------------------------------
	' IGUITreeView
	' ------------------------------------------------------------------------------------

	Function IrrGUI_IGUITreeView_getRoot:Int(pIGUITreeView:Int) ' returns IGUITreeViewNode* 
	Function IrrGUI_IGUITreeView_getSelected:Int(pIGUITreeView:Int)' returns IGUITreeViewNode* 
	Function IrrGUI_IGUITreeView_getLinesVisible:Int(pIGUITreeView:Int)
	Function IrrGUI_IGUITreeView_setLinesVisible( pIGUITreeView:Int, bVisible:Int )
	Function IrrGUI_IGUITreeView_setIconFont( pIGUITreeView:Int, pIGUIFont:Int )
	Function IrrGUI_IGUITreeView_setImageList( pIGUITreeView:Int, pIGUIImageList:Int )
	Function IrrGUI_IGUITreeView_getImageList:Int(pIGUITreeView:Int) ' returns IGUIImageList*
	Function IrrGUI_IGUITreeView_setImageLeftOfIcon( pIGUITreeView:Int, bLeftOf:Int )
	Function IrrGUI_IGUITreeView_getImageLeftOfIcon:Int(pIGUITreeView:Int)
	Function IrrGUI_IGUITreeView_getLastEventNode:Int(pIGUITreeView:Int) ' returns IGUITreeViewNode*

EndExtern
