' ------------------------------------------------------------------------------------
' irr::scene::IParticleSphereEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleSphereEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleSphereEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleSphereEmitter=New IParticleSphereEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setCenter(center:Vector3df)
		IrrScene_IParticleSphereEmitter_setCenter( handle, center.handle)
	EndMethod
	
	Method setRadius(radius:Float)
		IrrScene_IParticleSphereEmitter_setRadius( handle, radius )
	EndMethod
	
	Method getCenter:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleSphereEmitter_getCenter(handle), True)
	EndMethod
	
	Method getRadius:Float()
		Return IrrScene_IParticleSphereEmitter_getRadius(handle)
	EndMethod

EndType
