
Public

Extern 
	' ------------------------------------------------------------------------------------
	'  irr::scene::ISceneNode wrappers
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_ISceneNode_addAnimator(pISceneNode_sn:Int,pISceneNodeAnimator_animator:Int)
	Function IrrScene_ISceneNode_addChild(pISceneNode_sn:Int,pISceneNode_child:Int)
	Function IrrScene_ISceneNode_getAbsolutePosition:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function IrrScene_ISceneNode_getAbsoluteTransformation:Int(pISceneNode_sn:Int) ' returns matrix4* 
	Function IrrScene_ISceneNode_getAutomaticCulling:Int(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_getBoundingBox:Int(pISceneNode_sn:Int) ' returns aabbox3df* 
	Function IrrScene_ISceneNode_getID:Int(pISceneNode_sn:Int)
	'  do Not Delete this pointer
	Function IrrScene_ISceneNode_getMaterial:Int(pISceneNode_sn:Int,idx:Int) ' returns SMaterial* 
	Function IrrScene_ISceneNode_getMaterialCount:Int(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_getName$z(pISceneNode_sn:Int)
	'  do Not Delete this pointer
	Function IrrScene_ISceneNode_getParent:Int(pISceneNode_sn:Int) ' returns ISceneNode* 
	Function IrrScene_ISceneNode_getPosition:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function IrrScene_ISceneNode_getRelativeTransformation:Int(pISceneNode_sn:Int) ' returns matrix4* 
	Function IrrScene_ISceneNode_getRotation:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function IrrScene_ISceneNode_getScale:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function IrrScene_ISceneNode_getTransformedBoundingBox:Int(pISceneNode_sn:Int) ' returns aabbox3d<f32>* 
	' do not delete
	Function IrrScene_ISceneNode_getTriangleSelector:Int(pISceneNode_sn:Int) ' returns ITriangleSelector* 
	Function IrrScene_ISceneNode_isDebugDataVisible:Int(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_isVisible:Int(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_remove(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_removeAll(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_removeAnimator(pISceneNode_sn:Int,pISceneNodeAnimator_animator:Int)
	Function IrrScene_ISceneNode_removeAnimators(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_removeChild(pISceneNode_sn:Int,pISceneNode_child:Int)
	Function IrrScene_ISceneNode_render(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_setAutomaticCulling(pISceneNode_sn:Int,E_CULLING_TYPE:Int)
	Function IrrScene_ISceneNode_setDebugDataVisible(pISceneNode_sn:Int, state:Int)
	Function IrrScene_ISceneNode_setID(pISceneNode_sn:Int,id:Int)
	Function IrrScene_ISceneNode_setMaterial(pISceneNode_sn:Int,idx:Int,pSMaterial_newmat:Int)
	Function IrrScene_ISceneNode_setMaterialFlag(pISceneNode_sn:Int,E_MATERIAL_FLAG_flag:Int,bNewvalue:Int)
	Function IrrScene_ISceneNode_setMaterialTexture(pISceneNode_sn:Int,textureLayer:Int,pITexture_texture:Int)
	Function IrrScene_ISceneNode_setMaterialType(pISceneNode_sn:Int,E_MATERIAL_TYPE_newType:Int)
	Function IrrScene_ISceneNode_setName(pISceneNode_sn:Int,name$z)
	Function IrrScene_ISceneNode_setParent(pISceneNode_sn:Int,pISceneNode_newParent:Int=0)
	Function IrrScene_ISceneNode_setPosition(pISceneNode_sn:Int,pvector3df_newpos:Int)
	Function IrrScene_ISceneNode_setRotation(pISceneNode_sn:Int,pvector3df_rotation:Int)
	Function IrrScene_ISceneNode_setScale(pISceneNode_sn:Int,pvector3df_scale:Int)
	Function IrrScene_ISceneNode_setTriangleSelector(pISceneNode_sn:Int,pITriangleSelector_selector:Int)
	Function IrrScene_ISceneNode_setVisible(pISceneNode_sn:Int,bIsVisible:Int)
	Function IrrScene_ISceneNode_updateAbsolutePosition(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_getChildren:Int(pISceneNode:Int,children:Int Ptr Ptr)
	Function IrrScene_ISceneNode_setIsDebugObject(pISceneNode_sn:Int,bDebugObject:Int)
	Function IrrScene_ISceneNode_isDebugObject:Int(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_getType:Int(pISceneNode_sn:Int) ' returns ESCENE_NODE_TYPE 
	Function IrrScene_ISceneNode_OnRegisterSceneNode(pISceneNode_sn:Int)
	Function IrrScene_ISceneNode_OnAnimate(pISceneNode_sn:Int,timeMs:Int)
	' returns # of animators stored.  must not delete ptrs!
	Function IrrScene_ISceneNode_getAnimators:Int(pISceneNode:Int,pISceneNodeAnimator:Int Ptr Ptr)
	
	Function IrrScene_ISceneNode_clone:Int(pISceneNode:Int,pISceneNode_newParent:Int=0,pISceneManager_newManager:Int=0) ' returns ISceneNode* 
	Function IrrScene_ISceneNode_castToIReferenceCounted:Int(ISceneNode:Int) ' returns IReferenceCounted*
	' do not delete
	Function IrrScene_ISceneNode_getSceneManager:Int(ISceneNode:Int) ' returns ISceneManager* 
	Function IrrScene_ISceneNode_isTrulyVisible:Int(pISceneNode:Int)

EndExtern
