Public

Type ISceneNodeAnimatorCameraFPS Extends ISceneNodeAnimator Final

	Function createFromHandle:ISceneNodeAnimatorCameraFPS(pHandle:Int, bMustDel:Int=False, pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:ISceneNodeAnimatorCameraFPS = New ISceneNodeAnimatorCameraFPS
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method getMoveSpeed:Float()
		Return IrrScene_ISceneNodeAnimatorCameraFPS_getMoveSpeed(handle)
	EndMethod
	
	Method setMoveSpeed(moveSpeed:Float)
		IrrScene_ISceneNodeAnimatorCameraFPS_setMoveSpeed(handle, moveSpeed)
	EndMethod
	
	Method getRotateSpeed:Float()
		IrrScene_ISceneNodeAnimatorCameraFPS_getRotateSpeed(handle)
	EndMethod
	
	Method setRotateSpeed(rotateSpeed:Float)
		IrrScene_ISceneNodeAnimatorCameraFPS_setRotateSpeed(handle, rotateSpeed)
	EndMethod
	
	Method setKeyMap(keyMap:SKeyMap[])
		Local keymap_size:Int=0
		Local keymap_array:Int[] = GetHandleArray(keyMap)
		If keymap_array Then keymap_size = keymap_array.Dimensions()[0]
				
		IrrScene_ISceneNodeAnimatorCameraFPS_setKeyMap(handle, keymap_array, keymap_size)
	EndMethod
	
	Method setVerticalMovement(bAllow:Int)
		IrrScene_ISceneNodeAnimatorCameraFPS_setVerticalMovement(handle, bAllow)
	EndMethod

	Method setInvertMouse(bInvert:Int)
		IrrScene_ISceneNodeAnimatorCameraFPS_setInvertMouse(handle, bInvert)
	EndMethod

EndType

