' ------------------------------------------------------------------------------------
' irr::scene::IShadowVolumeSceneNode wrappers (based on ISceneNode)
' ------------------------------------------------------------------------------------
Public

Type IShadowVolumeSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:IShadowVolumeSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IShadowVolumeSceneNode=New IShadowVolumeSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setShadowMesh(mesh:IMesh)
		IrrScene_IShadowVolumeSceneNode_setShadowMesh(handle, mesh.handle)
	EndMethod
	
	Method updateShadowVolumes()
		IrrScene_IShadowVolumeSceneNode_updateShadowVolumes(handle)
	EndMethod

EndType


