' ------------------------------------------------------------------------------------
'  irr::scene::SSharedMeshBuffer wrappers
' ------------------------------------------------------------------------------------
Public

Type SSharedMeshBuffer Extends IMeshBuffer Final

Rem
	Function create:SSharedMeshBuffer()
		Return createFromHandle(IrrScene_SSharedMeshBuffer_new(),True)
	EndFunction
	
	Function createFromVertices:SSharedMeshBuffer(vertices:S3DVertex[])
		Local vertices_size:Int = 0
		Local vertices_array:Int[]=GetHandleArray(vertices)
		If vertices_array Then vertices_size=vertices_array.Dimensions()[0]
		
		Return createFromHandle(IrrScene_SSharedMeshBuffer_newFromVertices(vertices_array, vertices_size), True)
	EndFunction
EndRem

	Function createFromHandle:SSharedMeshBuffer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:SSharedMeshBuffer=New SSharedMeshBuffer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

EndType
